Skip to contents

# Return function to interpolate an AGORA color palette

Source: `R/pal_agora.R`
`pal_agora.Rd`

Return function to interpolate an AGORA color palette

## Usage

    pal_agora(
      palette = "main",
      reverse = FALSE,
      color_ramp_palette = FALSE,
      show_palettes = FALSE,
      ...
    )

## Arguments

palette

  Character name of a palette in AGORA palettes

reverse

  Boolean indicating whether the palette should be reversed

color_ramp_palette

  Should the output be a `grDevices::colorRampPalette` function or a vector of hex codes? Default to the former with `TRUE`

show_palettes

  Should the ouput be the set of palettes names to pick from? Default to `FALSE`

...

  Additional arguments to pass to colorRampPalette()

## Value

A color palette